質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
85.46%
Raspberry Pi

Raspberry Piは、ラズベリーパイ財団が開発した、名刺サイズのLinuxコンピュータです。 学校で基本的なコンピュータ科学の教育を促進することを意図しています。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

Q&A

解決済

2回答

20936閲覧

Pythonのエラー文の意味

退会済みユーザー

退会済みユーザー

総合スコア0

Raspberry Pi

Raspberry Piは、ラズベリーパイ財団が開発した、名刺サイズのLinuxコンピュータです。 学校で基本的なコンピュータ科学の教育を促進することを意図しています。

Python

Pythonは、コードの読みやすさが特徴的なプログラミング言語の1つです。 強い型付け、動的型付けに対応しており、後方互換性がないバージョン2系とバージョン3系が使用されています。 商用製品の開発にも無料で使用でき、OSだけでなく仮想環境にも対応。Unicodeによる文字列操作をサポートしているため、日本語処理も標準で可能です。

0グッド

2クリップ

投稿2018/10/18 13:03

下記サイトを参考に地図上にプロットする方法を実装しているのですがエラーが出てきてできません
緯度・経度を指定してプロットする方法 その2(複数)

Python

1import folium 2import pandas as pd 3 4cities = pd.DataFrame({ 5 'train': ['駒込','日暮里', '池袋', '鶯谷'], 6 'latitude': [35.736489,35.727772, 35.728926, 35.720495], 7 'longtude': [139.746875,139.770987, 139.71038, 139.778837], 8}) 9 10map = folium.Map(location=[35.736489,139.746875], zoom_start=14) 11 12for i, r in cities.iterrows(): 13 folium.Marker(location=[r['latitude'], r['longtude']], popup=r['train']).add_to(map) 14 15map.save("map_train.html") 16

このコードを実行すると以下のエラー文が出てきてしまいます

pi@raspberrypi:~/Desktop $ sudo python3 03.py

Traceback (most recent call last):
File "/usr/local/lib/python3.5/dist-packages/pandas/init.py", line 26, in <module>
from pandas._libs import (hashtable as _hashtable,
File "/usr/local/lib/python3.5/dist-packages/pandas/_libs/init.py", line 4, in <module>
from .tslib import iNaT, NaT, Timestamp, Timedelta, OutOfBoundsDatetime
ImportError: cannot import name 'iNaT'
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
File "03.py", line 2, in <module>
import pandas as pd
File "/usr/local/lib/python3.5/dist-packages/pandas/init.py", line 35, in <module>
"the C extensions first.".format(module))
ImportError: C extension: 'iNaT' not built. If you want to import pandas from the source directory, you may need to run 'python setup.py build_ext --inplace --force' to build the C extensions first.

何が原因でしょうか?

気になる質問をクリップする

クリップした質問は、後からいつでもMYページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

guest

回答2

0

ベストアンサー

iNaTというC言語で書かれたpandasの内部モジュールがビルドされておらず、使えないような状況です。インストールが上手く行っていないとみて良いと思います。

一回pandasをアンインストールして、もう一回入れ直してみてください。その際に出たメッセージは控えておいて、もし再インストールで上手く行かなければ追記してください。

$ sudo python3 -m pip uninstall pandas $ sudo python3 -m pip install pandas

投稿2018/10/18 23:32

hayataka2049

総合スコア30933

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

退会済みユーザー

退会済みユーザー

2018/10/25 04:43

ありがとうございます pandasを使いたかった理由として、複数の緯度経度情報の表示が目的だったため、pandasの利用をやめて配列として扱おうと思います
guest

0

...
ImportError: C extension: 'iNaT' not built. If you want to import pandas from the source directory, you may need to run 'python setup.py build_ext --inplace --force' to build the C extensions first.
...

と表示されてます。

web サイトで検索するなどして、pandas のインストールを完了させてみてください。

投稿2018/10/19 12:10

katoy

総合スコア22324

バッドをするには、ログインかつ

こちらの条件を満たす必要があります。

あなたの回答

tips

太字

斜体

打ち消し線

見出し

引用テキストの挿入

コードの挿入

リンクの挿入

リストの挿入

番号リストの挿入

表の挿入

水平線の挿入

プレビュー

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
85.46%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問